#!/bin/sh
#
# pastebin.com/eKbm118F
# 
# This installs prereqs and builds rtl-sdr.
# You will need to reboot at the end.

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ INSTALLING STUFF ~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

apt-get -y update
apt-get install -y libboost-all-dev
apt-get install -y libusb-1.0
apt-get install -y libusb-dev
apt-get install -y libusb-1.0-0-dev
apt-get install -y devscripts
apt-get install -y cmake
apt-get install -y portaudio19-dev
apt-get install -y iproute2
apt-get install -y autoconf
apt-get install -y python3-dev
apt-get install -y python3-venv
apt-get install -y dh-systemd
apt-get install -y libncurses-dev
apt-get install -y libboost-system-dev
apt-get install -y libboost-program-options-dev
apt-get install -y libboost-regex-dev
apt-get install -y libboost-filesystem-dev

# Now required for TCL-TLS custom build
apt-get install -y libssl-dev
apt-get install -y tcl-dev
apt-get install -y chrpath

# # No longer required for PiAware 3.8+
# apt-get install -y tcl8.5-dev
# apt-get install -y tclx8.4-dev
# apt-get install -y itcl3-dev
# apt-get install -y tcl-tls
# apt-get install -y tcllib
# apt-get install -y tcl-tclreadline

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ INSTALLING RTL-SDR STUFF ~~~~~~~~~~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

git clone git://git.osmocom.org/rtl-sdr.git /root/codes/rtl-sdr
cd /root/codes/rtl-sdr
mkdir build
cd build
cmake ../
make
make install
cd /root
cp /root/codes/rtl-sdr/rtl-sdr.rules /etc/udev/rules.d/.
ldconfig

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ DISABLING DVB DRIVER. NO TV HERE BRO ~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

mkdir -p /etc/modprobe.d/
cd /etc/modprobe.d/

echo "blacklist dvb_usb_rtl28xxu" >> /etc/modprobe.d/ban-rtl.conf

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ OKAY NOW PLUG IN THE RECEIVER BRO ~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ WHEN U R DONE THEN RESTART ~~~~~~~~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

